{% extends 'base.html.twig' %}

{% block title %}Hello ItemController!{% endblock %}

{% block body %}
    {% block menu %}
        {{ include('menu/index.html.twig', { 'items': items }) }}
    {% endblock %}

    {% if items.count() != 0 %}
    <main>
        <div class="album py-5 bg-light">
            <div class="container">
                <div class="row row-cols-1 row-cols-sm-2 row-cols-md-3 g-3">
                    {% for item in items %}
                        <div class="col mb-2 text-justify" id="{{ item.slug }}">
                            <a href="{{ path('app_item', {slug: item.slug}) }}" class="text-decoration-none text-black">
                                <div class="card shadow-sm text-lg-justify h-100">
                                    <h4 class="text-center alert-dark">{{ item.name }}</h4>
                                    <div class="card-body">
                                        <p class="card-text ">{{ item.content | raw }}</p>
                                    </div>
                                </div>
                            </a>
                        </div>
                    {% endfor %}
                </div>
            </div>
        </div>
    </main>
        {% else %}
    <section class="py-5 container-fluid">
        <div class="row py-lg-5">
            <div class="col-lg-6 col-md-8 mx-auto">
                <h1 class="fw-light">{{ parent.name }}</h1>
                <p class="lead text-muted">{{ parent.content | raw }}</p>
                <p>
                    {% for item in items %}
                        <a class="btn btn-secondary my-2"  href="{{ path('app_item', {slug: item.slug}) }}">{{ item.name }}</a>
                    {% endfor %}
                </p>
            </div>
        </div>
    </section>
    {% endif %}
{% endblock %}
{% block footer %}
    {{ include('footer/index.html.twig') }}
{% endblock %}